Package com.beust.jcommander.converters

# Class URLConverter

java.lang.Object
com.beust.jcommander.converters.BaseConverter<URL>
com.beust.jcommander.converters.URLConverter

All Implemented Interfaces:
  `IStringConverter<URL>`

public class URLConverter extends BaseConverter<URL>
Convert a string into a URI.

## Constructor Summary

Constructors
Constructor
Description
`URLConverter(String optionName)`

## Method Summary

Modifier and Type
Method
Description
`URL`
`convert(String value)`

### Methods inherited from class com.beust.jcommander.converters.BaseConverter

`getErrorString, getOptionName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLConverter

public URLConverter(String optionName)

## Method Details

### convert

public URL convert(String value)

Returns:
  an object of type <T> created from the parameter value.